Bug 180058 - Review Request: ecore: An event and X abstraction layer
Review Request: ecore: An event and X abstraction layer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Tanguy
Fedora Package Reviews List
:
Depends On: 180052
Blocks: FE-ACCEPT 180149
  Show dependency treegraph
 
Reported: 2006-02-05 03:21 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 19:11:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-05 03:21:29 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/ecore.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/ecore-0.9.9.023-1.src.rpm
Description: Ecore is the core event abstraction layer and X abstraction layer that makes doing selections, Xdnd, general X stuff, and event loops, timeouts and idle handlers fast, optimized, and convenient. It's a separate library so anyone can make use of the work put into Ecore to make this job easy for applications.
Comment 1 Eric Tanguy 2006-02-05 11:44:43 EST
Review for release 1:
* RPM name is OK
* Source ecore-0.9.9.023.tar.gz is the same as upstream
* Builds fine in mock
* File list of ecore-devel looks OK
* File list of ecore looks OK
* Run fine

Needs work:
rpmlint of ecore-devel-0.9.9.023-1.i386.rpm:E: ecore-devel
arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/list_destroy_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/x_window_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/timer_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/event_handler_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/con_server_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/list_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/config_basic_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/config_listener_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/con_client_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/con_client_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/exe_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/exe_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/args_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/args_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/x_window_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/x_window_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/event_handler_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/event_handler_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/con_server_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/con_server_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/config_listener_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/config_listener_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/config_basic_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/config_basic_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/list_destroy_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/list_destroy_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/list_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/list_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/timer_example
W: ecore-devel unstripped-binary-or-object
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs/timer_example
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/exe_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/args_example.o
E: ecore-devel arch-dependent-file-in-usr-share
/usr/share/doc/ecore-devel-0.9.9.023/examples/con_client_example.o
W: ecore-devel hidden-file-or-dir
/usr/share/doc/ecore-devel-0.9.9.023/examples/.deps
W: ecore-devel hidden-file-or-dir
/usr/share/doc/ecore-devel-0.9.9.023/examples/.deps
W: ecore-devel hidden-file-or-dir
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs
W: ecore-devel hidden-file-or-dir
/usr/share/doc/ecore-devel-0.9.9.023/examples/.libs

rpmlint of ecore-0.9.9.023-1.i386.rpm:E: ecore library-without-ldconfig-postin
/usr/lib/libecore.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_file.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_file.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_dbus.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_dbus.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_x.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_x.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_txt.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_txt.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_fb.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_fb.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_evas.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_evas.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_con.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_con.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_job.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_job.so.1.0.0
E: ecore zero-length /usr/share/doc/ecore-0.9.9.023/NEWS
E: ecore library-without-ldconfig-postin /usr/lib/libecore_config.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_config.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_directfb.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_directfb.so.1.0.0
E: ecore library-without-ldconfig-postin /usr/lib/libecore_ipc.so.1.0.0
E: ecore library-without-ldconfig-postun /usr/lib/libecore_ipc.so.1.0.0

Minor:
* Duplicate BuildRequires: zlib-devel (by directfb-devel), openssl-devel (by
curl-devel)

I can't try it with mock devel which seems broken but BuildRequires: 
xorg-x11-devel seems not good for modular X in fc5.
Comment 2 Ignacio Vazquez-Abrams 2006-02-05 14:33:25 EST
Updated.

I'll update it for modular X once it's in CVS.
Comment 3 Eric Tanguy 2006-02-11 02:31:42 EST
Review for release 1:
* RPM name is OK
* Source ecore-0.9.9.023.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of ecore-devel looks OK
* rpmlint of ecore looks OK
* File list of ecore-devel looks OK
* File list of ecore looks OK
* Run fine
APPROVED
Comment 4 Ignacio Vazquez-Abrams 2006-02-11 19:11:24 EST
Built on FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.